Bug 140918 - [65cat] CakePHP Framework Support 1
[65cat] CakePHP Framework Support 1
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: Code
7.1
All All
: P1 with 176 votes (vote)
: 7.3
Assigned To: issues@php
issues@php
:
Depends on: 152262
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-20 19:29 UTC by chronosmark
Modified: 2012-10-15 05:14 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description chronosmark 2008-07-20 19:29:09 UTC
[ JDK VERSION : 1.6.0_06 ]

It would be very useful if netbeans could understand and provide auto
complete etc for a cakephp project.
Comment 1 jacobc 2008-09-03 15:23:56 UTC
I've only started using this framework recently for my own work. But I've found it great and quite similar to a
framework I use at work which and colleague made, with Ruby on Rails in mind.
Comment 2 matrixman 2008-09-08 05:36:06 UTC
Come on guys, if NetBeans has support for Ruby on Rails, Groovy and Grails, so CakePHP it's a MUST on 6.5, ironically
support for CakePHP should be a piece of cake, what do you say?
Comment 3 diegocaro 2008-11-04 03:35:43 UTC
Go people, vote for cakephp on Netbeans!
Comment 4 shibuta1218 2008-12-06 15:39:28 UTC
よろしくお願いします!
Comment 5 netchaos 2009-01-04 22:33:09 UTC
Like to have CakePHP support in NetBeans.
Comment 6 etipaced 2009-01-09 18:11:53 UTC
as an avid cakephp developer, i just cast my vote for support in NB. here's hoping for the best.
Comment 7 lecterror 2009-01-09 18:20:02 UTC
Given the fact that CakePHP 1.2 stable has been released, and it is the most popular PHP framework according to many
polls, it would be very nice to see it supported in NetBeans.

As soon as this is released, I'm making NetBeans my primary IDE and recommending it to everyone I know.
Comment 8 allfil4 2009-01-16 19:16:43 UTC
as you did with ruby on rail for ruby developers, you should do it with cake for php developers, bassed on many pols,
cake is the most popular php framework
Comment 9 monkeeofevil 2009-01-27 21:24:03 UTC
Please, Please, PLEASE add CakePHP support to Netbeans. It would be my happy ending. Seriously.
Comment 10 verbalk 2009-01-28 08:01:13 UTC
I second that requests. It's a must for Netbeans.
Comment 11 kondrat 2009-01-28 08:35:43 UTC
My vote fot cakePHP
Comment 12 webbedit 2009-01-28 12:01:43 UTC
40,000+ downloads of the CakePHP version 1.2 Final in the first month show how popular this framework is.  As such there
are going to be more and more calls for support and to add it may bring a lot of eager new users to the NetBeans IDE.

Come on, you know you want too!
Comment 13 josbeir 2009-01-28 12:09:15 UTC
yeah... cakephp support gogo!
Comment 14 kadanis 2009-02-04 14:24:25 UTC
Would love to see Cake PHP support in NB.  One has become my favoured framework and the other my favoured IDE.

A good comparison would be the plugin for MacOSX TextMate that is available on the CakePHP site.  A colleague on Mac
uses this and it offers a great feature set for developing in Cake. i.e. Direct access to BAKE from the IDE, create
Models, Views and Controllers, generate Db Config.

Just some ideas.

Hope to see this make it into NB.
Comment 15 damirsecki 2009-02-15 08:50:35 UTC
I've been using cake for more than 2 years now and I love it.
Only recently I discovered NB (before I used homesite and then dreamweaver) and I love NB too!
The only thing that is missing is cakePHP support. I would love to have autocomplete features for all my classes
(controllers, components, models, behaviors, views, helpers, plugins, vendors, and core classes).

I would also like to have a tab like the one for project's files for my:
controllers
 + components
views
 + helpers
 + layouts
models
 + behaviors 
webroot
- javascripts
- css
plugins
vendors


I would absolutely love the feature if I could collapse/hide the files I don't use frequently!
The feature that would come very handy is also if I am working for example on controller: "users_controller.php"
the views and models for this controller would be highlighted or additional shortcuts to this files would be shown... or
If I were in index() method inside the users_controller the /views/users/index.ctp would be highlighted / added shortcut

with those features I would be in developers heaven and I would recommend NB to all!
Comment 16 chenmg153 2009-02-17 01:52:49 UTC
よろしくお願いします!
Comment 17 lecterror 2009-03-05 09:41:47 UTC
Another reason to add CakePHP support:

http://groups.google.com/group/cake-php/browse_thread/thread/dfeb39452e371950/e9d496455266c21c

CakePHP folks are showing an increasing interest..
Comment 18 killusfran 2009-03-20 20:05:51 UTC
I want it VERY MUCH ;)
Comment 19 necr0n99 2009-05-26 03:54:59 UTC
+1 for CakePHP support
Comment 20 nflucian 2009-06-12 08:14:12 UTC
Vote for cakephp on Netbeans
Comment 21 villeit 2009-07-08 04:36:01 UTC
I would love to see CakePHP support in Netbeans. Sofar it has been great to configure and test the PHP component of the
IDE. But now when I have delved deeper into CakePHP, it is a shame you can't get it to work with the framework. However,
I came across this link where Sonny Guaran discusses the possibility to manually configure Netbeans to work with CakePHP. 

http://sonnygauran.co.cc/blog/2009/04/26/netbeans-rcp-for-cakephp/

However, this seems to be an awful lot of work in order to get things working and I am not sure if I want to go down
that path, considering I am a complete novice to CakePHP and Netbeans. 

Comment 22 jafest 2009-07-24 09:52:12 UTC
It would be very nice to have CakePHP support ! 
Comment 23 fcasals 2009-08-03 20:04:00 UTC
por favor desarrollen el soporte de cake
saludos desde Chile
Comment 24 peraski 2009-08-03 20:12:54 UTC
Please add support for cakephp on Netbeans. I would be very useful for developers like me. We need autocomplete for
cakephp. 
Comment 25 mwesten 2009-11-20 12:24:25 UTC
Would love to see support for Cake added !
Comment 26 cguyer 2010-01-06 09:09:30 UTC
great php framework, support it asap.
Comment 27 gauravgs 2010-02-11 03:39:23 UTC
please include the support for cakephp framework.

It is a really nice framework.

Autocomplete support would be very much appreciated.
Comment 28 haider685 2010-02-16 03:57:27 UTC
I want to see cakephp framwork support on my favourite IDE netbeans as son as possible
Comment 29 jdavros 2010-03-16 05:36:31 UTC
I'd love to see cakephp support on the next release of netbeans so please don't let symphony be the only php framework with support on the ide
Comment 30 prockrammer 2010-03-16 18:08:30 UTC
Please include this framework ...
Comment 31 teknoid 2010-04-28 11:56:34 UTC
cakephp support would be amazing!
Comment 32 psykro 2010-05-06 10:31:14 UTC
+1 for CakePHP support
Comment 33 edmuralles 2010-05-21 17:03:03 UTC
It would be very useful and nice to have CakePHP support !
Comment 34 vitorpc 2010-05-25 17:13:25 UTC
Support for CakePHP in NetBeans please!!!
Comment 35 rweaver 2010-05-26 14:28:02 UTC
Seems like somebody accidentally marked this as fixed: I don't see any reference to a patch or update for this feature.
Comment 36 neohunter 2010-05-26 14:52:25 UTC
Wow i got incredible happy when i saw it was finished!!!
Comment 37 Elhelaly 2010-06-07 09:34:09 UTC
It would be very great useful
Comment 38 saidbakr 2010-06-25 16:20:40 UTC
I wonder why CakePHP is not supported by NB till this moment?!

-Automatic creation for new projects.
- Auto complete for the code of Controllers, Models, Helpers, Components and Behaviors regardless it is built-in or third-party.

Really, I'm waiting this support for the next version after 6.9.
Comment 39 Tomas Mysik 2010-06-25 17:02:34 UTC
(In reply to comment #38)
> Really, I'm waiting this support for the next version after 6.9.

I have created a wiki page [1] how to create support for a PHP framework in NetBeans - anyone (including you) is welcome, of course!

[1] http://wiki.netbeans.org/PhpFrameworkDevelopment
Comment 40 saidbakr 2010-06-29 23:05:32 UTC
(In reply to comment #39)
> (In reply to comment #38)

Thank you very much for this smart and excellent step. Unfortunately, my knowledge about Java programming language is very small, indeed there is no real or dependable knowledge about it!, to allow me join for writing cakephp plugin or support.

However, I hope that there are enough community members able to do this task.
Comment 41 netboy 2010-07-16 08:56:39 UTC
Please add support for cakephp in netbeans, it is needed badly.
Comment 42 Filip Zamboj 2010-09-15 12:35:52 UTC
batch reassigning
Comment 43 ish1301 2010-12-22 15:39:44 UTC
CakePHP extension for NB is badly required
Comment 44 Tomas Mysik 2010-12-23 09:05:13 UTC
Hi all, please notice that some time ago, I have created basic support for CakePHP framework. It can be found on github [1], one can clone or get sources and then build NetBeans plugin by himself (no NBM file provided).

[1] https://github.com/cakephp/cakephp-netbeans/
Comment 45 jason_php 2011-07-27 02:24:36 UTC
my company has several php developers --we all use cakephp, and we all use netbeans too. if you would add cakephp support it would really help us out!
Comment 46 Tomas Mysik 2011-07-27 10:03:53 UTC
(In reply to comment #45)
> my company has several php developers --we all use cakephp, and we all use
> netbeans too. if you would add cakephp support it would really help us out!

See my previous comment, there is some basic support for CakePHP framework available.
Comment 47 nutshell 2011-08-17 17:16:11 UTC
Yes, we do need Cake (soon please)
Comment 48 nutshell 2011-08-17 17:17:06 UTC
Yes, we do need Cake (soon please)
Comment 49 spats 2012-03-20 07:15:04 UTC
+1
Comment 50 imanishi 2012-05-18 10:03:09 UTC
是非、お願いします。
Comment 51 junichi11 2012-10-15 04:55:36 UTC
CakePHP Framework support : Please, see the following.

http://plugins.netbeans.org/plugin/44579/php-cakephp-framework 

Is this "RESOLVED"?
Comment 52 Tomas Mysik 2012-10-15 05:14:37 UTC
Yes, I think we can mark this issue as resolved. Please, use plugin from Junichi [1]. Thanks a lot for creating it, Junichi!

[1] http://plugins.netbeans.org/plugin/44579/php-cakephp-framework


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo